=== images/Makefile ===
all:
	../montage -label "%f   %wx%h" -geometry 160x160 -tile 2x2 -verbose \
	  dna.miff swan.miff aquarium.miff montage.miff

clean:
	/bin/rm -f montage.miff
