=== scenes/Makefile ===
#
# POV Makefile for DNA molecule.
#
all:
	povray +idna.pov +odna.1 +fn +w256 +h256 -q9 +r5 +a +J +v -k0 +b2048
	povray +idna.pov +odna.2 +fn +w256 +h256 -q9 +r5 +a +J +v -k5 +b2048
	povray +idna.pov +odna.3 +fn +w256 +h256 -q9 +r5 +a +J +v -k10 +b2048
	povray +idna.pov +odna.4 +fn +w256 +h256 -q9 +r5 +a +J +v -k15 +b2048
	povray +idna.pov +odna.5 +fn +w256 +h256 -q9 +r5 +a +J +v -k20 +b2048
	povray +idna.pov +odna.6 +fn +w256 +h256 -q9 +r5 +a +J +v -k25 +b2048
	povray +idna.pov +odna.7 +fn +w256 +h256 -q9 +r5 +a +J +v -k30 +b2048
	povray +idna.pov +odna.8 +fn +w256 +h256 -q9 +r5 +a +J +v -k35 +b2048
	povray +idna.pov +odna.9 +fn +w256 +h256 -q9 +r5 +a +J +v -k40 +b2048
	povray +idna.pov +odna.10 +fn +w256 +h256 -q9 +r5 +a +J +v -k45 +b2048
	povray +idna.pov +odna.11 +fn +w256 +h256 -q9 +r5 +a +J +v -k50 +b2048
	povray +idna.pov +odna.12 +fn +w256 +h256 -q9 +r5 +a +J +v -k55 +b2048
	povray +idna.pov +odna.13 +fn +w256 +h256 -q9 +r5 +a +J +v -k60 +b2048
	povray +idna.pov +odna.14 +fn +w256 +h256 -q9 +r5 +a +J +v -k65 +b2048
	povray +idna.pov +odna.15 +fn +w256 +h256 -q9 +r5 +a +J +v -k70 +b2048
	povray +idna.pov +odna.16 +fn +w256 +h256 -q9 +r5 +a +J +v -k75 +b2048
	povray +idna.pov +odna.17 +fn +w256 +h256 -q9 +r5 +a +J +v -k80 +b2048
	povray +idna.pov +odna.18 +fn +w256 +h256 -q9 +r5 +a +J +v -k85 +b2048
	povray +idna.pov +odna.19 +fn +w256 +h256 -q9 +r5 +a +J +v -k90 +b2048
	povray +idna.pov +odna.20 +fn +w256 +h256 -q9 +r5 +a +J +v -k95 +b2048
	povray +idna.pov +odna.21 +fn +w256 +h256 -q9 +r5 +a +J +v -k100 +b2048
	povray +idna.pov +odna.22 +fn +w256 +h256 -q9 +r5 +a +J +v -k105 +b2048
	povray +idna.pov +odna.23 +fn +w256 +h256 -q9 +r5 +a +J +v -k110 +b2048
	povray +idna.pov +odna.24 +fn +w256 +h256 -q9 +r5 +a +J +v -k115 +b2048
	povray +idna.pov +odna.25 +fn +w256 +h256 -q9 +r5 +a +J +v -k120 +b2048
	povray +idna.pov +odna.26 +fn +w256 +h256 -q9 +r5 +a +J +v -k125 +b2048
	povray +idna.pov +odna.27 +fn +w256 +h256 -q9 +r5 +a +J +v -k130 +b2048
	povray +idna.pov +odna.28 +fn +w256 +h256 -q9 +r5 +a +J +v -k135 +b2048
	povray +idna.pov +odna.29 +fn +w256 +h256 -q9 +r5 +a +J +v -k140 +b2048
	povray +idna.pov +odna.30 +fn +w256 +h256 -q9 +r5 +a +J +v -k145 +b2048
	povray +idna.pov +odna.31 +fn +w256 +h256 -q9 +r5 +a +J +v -k150 +b2048
	povray +idna.pov +odna.32 +fn +w256 +h256 -q9 +r5 +a +J +v -k155 +b2048
	povray +idna.pov +odna.33 +fn +w256 +h256 -q9 +r5 +a +J +v -k160 +b2048
	povray +idna.pov +odna.34 +fn +w256 +h256 -q9 +r5 +a +J +v -k165 +b2048
	povray +idna.pov +odna.35 +fn +w256 +h256 -q9 +r5 +a +J +v -k170 +b2048
	povray +idna.pov +odna.36 +fn +w256 +h256 -q9 +r5 +a +J +v -k175 +b2048
	povray +idna.pov +odna.37 +fn +w256 +h256 -q9 +r5 +a +J +v -k180 +b2048
	povray +idna.pov +odna.38 +fn +w256 +h256 -q9 +r5 +a +J +v -k185 +b2048
	povray +idna.pov +odna.39 +fn +w256 +h256 -q9 +r5 +a +J +v -k190 +b2048
	povray +idna.pov +odna.40 +fn +w256 +h256 -q9 +r5 +a +J +v -k195 +b2048
	povray +idna.pov +odna.41 +fn +w256 +h256 -q9 +r5 +a +J +v -k200 +b2048
	povray +idna.pov +odna.42 +fn +w256 +h256 -q9 +r5 +a +J +v -k205 +b2048
	povray +idna.pov +odna.43 +fn +w256 +h256 -q9 +r5 +a +J +v -k210 +b2048
	povray +idna.pov +odna.44 +fn +w256 +h256 -q9 +r5 +a +J +v -k215 +b2048
	povray +idna.pov +odna.45 +fn +w256 +h256 -q9 +r5 +a +J +v -k220 +b2048
	povray +idna.pov +odna.46 +fn +w256 +h256 -q9 +r5 +a +J +v -k225 +b2048
	povray +idna.pov +odna.47 +fn +w256 +h256 -q9 +r5 +a +J +v -k230 +b2048
	povray +idna.pov +odna.48 +fn +w256 +h256 -q9 +r5 +a +J +v -k235 +b2048
	povray +idna.pov +odna.49 +fn +w256 +h256 -q9 +r5 +a +J +v -k240 +b2048
	povray +idna.pov +odna.50 +fn +w256 +h256 -q9 +r5 +a +J +v -k245 +b2048
	povray +idna.pov +odna.51 +fn +w256 +h256 -q9 +r5 +a +J +v -k250 +b2048
	povray +idna.pov +odna.52 +fn +w256 +h256 -q9 +r5 +a +J +v -k255 +b2048
	povray +idna.pov +odna.53 +fn +w256 +h256 -q9 +r5 +a +J +v -k260 +b2048
	povray +idna.pov +odna.54 +fn +w256 +h256 -q9 +r5 +a +J +v -k265 +b2048
	povray +idna.pov +odna.55 +fn +w256 +h256 -q9 +r5 +a +J +v -k270 +b2048
	povray +idna.pov +odna.56 +fn +w256 +h256 -q9 +r5 +a +J +v -k275 +b2048
	povray +idna.pov +odna.57 +fn +w256 +h256 -q9 +r5 +a +J +v -k280 +b2048
	povray +idna.pov +odna.58 +fn +w256 +h256 -q9 +r5 +a +J +v -k285 +b2048
	povray +idna.pov +odna.59 +fn +w256 +h256 -q9 +r5 +a +J +v -k290 +b2048
	povray +idna.pov +odna.60 +fn +w256 +h256 -q9 +r5 +a +J +v -k295 +b2048
	povray +idna.pov +odna.61 +fn +w256 +h256 -q9 +r5 +a +J +v -k300 +b2048
	povray +idna.pov +odna.62 +fn +w256 +h256 -q9 +r5 +a +J +v -k305 +b2048
	povray +idna.pov +odna.63 +fn +w256 +h256 -q9 +r5 +a +J +v -k310 +b2048
	povray +idna.pov +odna.64 +fn +w256 +h256 -q9 +r5 +a +J +v -k315 +b2048
	povray +idna.pov +odna.65 +fn +w256 +h256 -q9 +r5 +a +J +v -k320 +b2048
	povray +idna.pov +odna.66 +fn +w256 +h256 -q9 +r5 +a +J +v -k325 +b2048
	povray +idna.pov +odna.67 +fn +w256 +h256 -q9 +r5 +a +J +v -k330 +b2048
	povray +idna.pov +odna.68 +fn +w256 +h256 -q9 +r5 +a +J +v -k335 +b2048
	povray +idna.pov +odna.69 +fn +w256 +h256 -q9 +r5 +a +J +v -k340 +b2048
	povray +idna.pov +odna.70 +fn +w256 +h256 -q9 +r5 +a +J +v -k345 +b2048
	povray +idna.pov +odna.71 +fn +w256 +h256 -q9 +r5 +a +J +v -k350 +b2048
	povray +idna.pov +odna.72 +fn +w256 +h256 -q9 +r5 +a +J +v -k355 +b2048
	povray +idna.pov +odna.72 +fn +w256 +h256 -q9 +r5 +a +J +v -k355 +b2048
	convert -verbose -colors 256 dna.[0-9] dna.[0-9][0-9] dna.miff

clean:
	/bin/rm -f dna.[0-9]* dna.gif dna.log
