## imagemagick 3.8.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  Generic makefile for display, animate, montage, and import for
 #  computers that do not have xmkmf.
 #
-#  Copyright 1996 E. I. du Pont de Nemours and Company
+#  Copyright 1997 E. I. du Pont de Nemours and Company
 #
 #  Permission to use, copy, modify, distribute, and sell this software and
 #  its documentation for any purpose is hereby granted without fee,
@@ -40,8 +40,8 @@
 # more details.
 #
 #HDF_DEFINES= -DHasHDF
-#HDF_INCLUDES= -I../hdf
-#HDF_LIBRARIES= -Lhdf -ldf
+#HDF_INCLUDES= -I../hdf/hdf/src
+#HDF_LIBRARIES= -Lhdf/hdf/src -ldf
 #JBIG_DEFINES= -DHasJBIG
 #JBIG_INCLUDES= -I../jbig/libjbig
 #JBIG_LIBRARIES= -Ljbig/libjbig -ljbig
@@ -61,25 +61,26 @@
 MAGICK_INCLUDES= -Imagick
 
 CC = gcc
-DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
+DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasSharedMemory=1 -DHasShape=1 
 INSTALL = ./install-sh -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 LDFLAGS =
-LIBS =  -ljbig -ljpeg -lmpeg -lpng -ltiff -lz -ldf -lsocket -lXext -lm
+LIBS =  -ltiff -lsocket -lXext -lm
 X_INCLUDES =  -I/usr/openwin/include
-X_LIBRARIES =  -L/usr/openwin/lib -R /usr/openwin/lib  -lnsl -lsocket -lX11
+X_LIBRARIES =  -L/usr/openwin/lib -R/usr/openwin/lib -lsocket  -lnsl -lX11
 
 LOCALDIR= /usr/local/bin
 LOCALMAN= /usr/local/man/mann
 
-DEFINES= $(MAGICK_INCLUDES) $(DIRENT_DEFINES) $(QUANTUM_DEFINES) \
-  $(DPS_DEFINES) $(DPS_INCLUDES) $(HDF_DEFINES) $(HDF_INCLUDES) \
-  $(JBIG_DEFINES) $(JBIG_INCLUDES) $(JPEG_DEFINES) $(JPEG_INCLUDES) \
-  $(MPEG_DEFINES) $(MPEG_INCLUDES) $(PNG_DEFINES) $(PNG_INCLUDES) \
-  $(TIFF_DEFINES) $(TIFF_INCLUDES) $(X_INCLUDES)
-SYS_LIBRARIES= $(DPS_LIBRARIES) $(JBIG_LIBRARIES) $(JPEG_LIBRARIES) \
-  $(MPEG_LIBRARIES) $(HDF_LIBRARIES) $(PNG_LIBRARIES) $(TIFF_LIBRARIES) \
+DEFINES= $(DEFS) $(MAGICK_INCLUDES) $(DIRENT_DEFINES) $(EXTENSIONS_DEFINES) \
+  $(QUANTUM_DEFINES) $(DPS_DEFINES) $(DPS_INCLUDES) $(HDF_DEFINES) \
+  $(HDF_INCLUDES) $(JBIG_DEFINES) $(JBIG_INCLUDES) $(JPEG_DEFINES) \
+  $(JPEG_INCLUDES) $(MPEG_DEFINES) $(MPEG_INCLUDES) $(PNG_DEFINES) \
+  $(PNG_INCLUDES) $(TIFF_DEFINES) $(TIFF_INCLUDES) $(X_INCLUDES)
+
+SYS_LIBRARIES= $(DPS_LIBRARIES) $(JBIG_LIBRARIES) $(HDF_LIBRARIES) \
+  $(MPEG_LIBRARIES) $(PNG_LIBRARIES) $(TIFF_LIBRARIES) $(JPEG_LIBRARIES) \
   $(X_LIBRARIES) $(LIBS)
 
 DisplayObjects= display.o
@@ -95,9 +96,9 @@
 
 CFLAGS= -O $(DEFINES)
 
-all: libmagick.a $(PROGRAMS)
+all: libMagick.a $(PROGRAMS)
 
-libmagick.a: 
+libMagick.a: 
 	(cd magick; make CFLAGS="$(CFLAGS)")
 
 display: $(DisplayObjects) magick/libMagick.a
@@ -150,6 +151,9 @@
 	$(INSTALL_DATA) mogrify.man $(LOCALMAN)/mogrify.n
 	$(INSTALL_PROGRAM) combine $(LOCALDIR)/combine
 	$(INSTALL_DATA) combine.man $(LOCALMAN)/combine.n
+	$(INSTALL_DATA) miff.man $(LOCALMAN)/miff.n
+	$(INSTALL_DATA) quantize.man $(LOCALMAN)/quantize.n
+	$(INSTALL_DATA) ImageMagick.man $(LOCALMAN)/ImageMagick.n
 
 clean::
 	(cd magick; make clean)
