=== magick/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  Generic makefile for the ImageMagick image library for computers that do
 #  not have xmkmf.
 #
-#  Copyright 1996 E. I. du Pont de Nemours and Company
+#  Copyright 1997 E. I. du Pont de Nemours and Company
 #
 #  Permission to use, copy, modify, distribute, and sell this software and
 #  its documentation for any purpose is hereby granted without fee,
@@ -29,7 +29,7 @@
 
 AR = ar
 CC = gcc
-DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
+DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasSharedMemory=1 -DHasShape=1 
 INSTALL = .././install-sh -c
 INSTALL_DATA = ${INSTALL} -m 644
 RANLIB = ranlib
@@ -42,8 +42,8 @@
 LOCALLIB=${exec_prefix}/lib
 LOCALINC=${prefix}/include
 
-MagickObjects= widget.o X.o image.o gems.o shear.o segment.o quantize.o \
-  colors.o signature.o decode.o encode.o compress.o utility.o monitor.o \
+MagickObjects= widget.o X.o image.o effects.o shear.o segment.o quantize.o \
+  colors.o gems.o signature.o decode.o encode.o compress.o utility.o monitor.o \
   error.o PreRvIcccm.o
 
 all: libMagick.a
@@ -63,7 +63,7 @@
 	$(INSTALL_DATA) magick.h $(LOCALINC)/magick.h
 	$(INSTALL_DATA) utility.h $(LOCALINC)/utility.h
 	$(INSTALL_DATA) widget.h $(LOCALINC)/widget.h
-	$(INSTALL_DATA) plug-in.h $(LOCALINC)/plug-in.h
+	$(INSTALL_DATA) plug-ins.h $(LOCALINC)/plug-ins.h
 
 clean: 
 	rm -f *.o libMagick.a core
