=== xtp/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #  Generic makefile for xtp for computers that do not have xmkmf.
 #
-#  Copyright 1995 E. I. du Pont de Nemours and Company
+#  Copyright 1997 E. I. du Pont de Nemours and Company
 #
 #  Permission to use, copy, modify, distribute, and sell this software and
 #  its documentation for any purpose is hereby granted without fee,
@@ -25,19 +25,26 @@
 #
 
 CC = gcc
-DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DSVR4=1 -DHasJBIG=1 -DHasJPEG=1 -DHasMPEG=1 -DHasPNG=1 -DHasTIFF=1 -DHasHDF=1 
-INSTALL = .././install-sh -c
+CDEBUGFLAGS = -g -O2
+DEFS =  -DSTDC_HEADERS=1 -DHAVE_DIRENT_H=1 -DHAVE_SYS_WAIT_H=1 -DTIME_WITH_SYS_TIME=1 -DSVR4=1 
+INSTALL = ./../install-sh -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 LDFLAGS =
-LIBS =  -ljbig -ljpeg -lmpeg -lpng -ltiff -lz -ldf -lsocket -lXext  -lnsl -lsocket -lm
+LIBS = -lsocket  -lm
+X_INCLUDES =  -I/usr/openwin/include
+X_LIBRARIES =  -L/usr/openwin/lib -R/usr/openwin/lib -lsocket  -lnsl -lX11
 
-LOCALDIR= /usr/local/bin
-LOCALMAN= /usr/local/man/mann
+prefix = /usr/local
+exec_prefix = ${prefix}
+LOCALDIR = ${exec_prefix}/bin
+LOCALMAN = ${prefix}/man/mann
 
 XTPObjects= xtp.o network.o regular.o
 
-CFLAGS= -O $(DEFS)
+CFLAGS= $(CDEBUGFLAGS) $(DEFS) $(X_INCLUDES)
+
+SYS_LIBRARIES= $(X_LIBRARIES) $(LIBS)
 
 PROGRAMS= xtp 
 
@@ -45,7 +52,7 @@
 
 xtp: 	$(XTPObjects)
 	rm -f $@
-	$(CC) -o $@ $(XTPObjects) $(LIBS)
+	$(CC) -o $@ $(XTPObjects) $(SYS_LIBRARIES)
 
 clean::
 	rm -f xtp
