## imagemagick 6.2.4.5.dfsg1-0.15+etch1

=== debian/changelog ===
imagemagick (7:6.2.4.5.dfsg1-0.15+etch1) oldstable-security; urgency=high

  * Non-maintainer upload.
  * Fix various crashes on malformed input, including CVE-2007-1797, 
    CVE-2007-1667, CVE-2008-1096 and CVE-2008-1097. Closes: #418057, #412945 
  * Fix multiple vulnerabilities in imagemagick. (It's a port of the diff 
    between these tags of the SCM: debian_version_6_2_4_5_dfsg1-2 and
    debian_version_6_2_4_5_dfsg1-1). Closes: #444267
    + magick/memory.c,magick/memory_.h,magick/methods.h: Add new allocator
      wrapper AcquireQuantumMemory() to prevent potential integer overflows.
      Backport from upstream version 6.3.5.9.
    + magick/image.c: Backport new implementation of SetImageExtent() from
      upstream version 6.3.5.9.
    + coders/dcm.c,coders/xcf.c: Fix integer overflow in DCM and XCF coders.
      (CVE-2007-4985) Backport of upstream patch from version 6.3.5.9.
    + coders/dcm.c,coders/dib.c,coders/xbm.c,coders/xcf.c,coders/xwd.c:
      Fix multiple integer overflows in DCM, DIB, XBM, XCF, and XWD coders.
      (CVE-2007-4986 and CVE-2007-4988) Based on upstream patch from
      version 6.3.5.9.
    + magick/blob.c: Fix fencepost error in ReadBlobString()
      (CVE-2007-4987) Backport of upstream patch from version 6.3.5.9.
    + coders/dib.c: Ensure positive value for image rows and columns.
      Based on upstream patch from version 6.3.5.9.
    + All of the above patches have been derived from backports supplied by
      Jonathan Smith.
  * Apply upstream patch to fix integer overflow in XMakeImage()
    (CVE-2009-1882). Closes: #530838

 -- Luciano Bello <luciano@debian.org>  Mon, 27 Jul 2009 12:49:27 -0300

imagemagick (7:6.2.4.5.dfsg1-0.14) unstable; urgency=high

  * Non-maintainer upload.
  * coders/palm.c: Fix regression introduced in patch for CVE-2006-5456.
    Avoid bogus second read in macro call. Patch thanks to Vladimir
    Nadvornik. (CVE-2007-0770) Closes: #410435

 -- Daniel Kobras <kobras@debian.org>  Sat, 10 Feb 2007 19:25:25 +0100

imagemagick (7:6.2.4.5.dfsg1-0.13) unstable; urgency=high

  * Non-maintainer upload.
  * coders/png.c: Fix amd64 build failure with recent libpng versions.
    Closes: #401047
  * debian/control: Tighten libpng12-dev build-dependency to exclude versions
    that are known to fail to link even with the above fix in place.

 -- Daniel Kobras <kobras@debian.org>  Wed, 13 Dec 2006 11:33:25 +0100

imagemagick (7:6.2.4.5.dfsg1-0.12) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Add build dependency on libxt-dev and pkg-config to
    make dependency list deterministic.
  * debian/control: libmagick9-dev depends on libxt-dev.

 -- Daniel Kobras <kobras@debian.org>  Wed, 29 Nov 2006 17:19:02 +0100

imagemagick (7:6.2.4.5.dfsg1-0.11) unstable; urgency=high

  * Non-maintainer upload.
  * coders/dcm.c, coders/palm.c: Fix buffer overflows in DCM and Palm coders.
    Patches thanks to M Joonas Pihlaja. Closes: #393025
  * coders/sgi.c: Put back missing initialisation of loop variable that
    was erroneously removed in fix for CVE-2006-4144. Spotted by
    Martin Pitt. Closes: #383314
  * coders/sgi.c: Fix off-by-one error in boundary check causing slightly
    garbled image output. Also introduced in fix for for CVE-2006-4144.
  * coders/xpm.c: Do not gratuitously limit the allowed number of
    bytes per pixel. Patch thanks to Jens Seidel. Closes: #358148
  * magick/display.c: Fix NULL pointer dereference in display's
    "Visual Directory". Patch thanks to Frédéric Bothamy. Closes: #360400
  * utilities/ImageMagick.1.in: Replace UTF-8 encoded characters with
    latin1 equivalents to placate lintian.
  * debian/control: perlmagick provides libimage-magick-perl to comply
    with Perl policy. Closes: #317083
  * debian/control: Add gs-gpl build dependency, used in testsuite.
  * debian/control: Tries hard to comply with version 3.7.2 of Debian
    policy.
  * debian/rules: Eliminate -l entries that slipped into --ldflags output.
    They're already present in --libs anyway. Closes: #340401
  * debian/rules: Run the testsuite, but don't treat failures as fatal
    errors for now.
  * debian/rules: At configure time, change X11 search paths to X11R7
    locations.
  * debian/rules: Remove duplicate of license file from imagemagick
    package.

 -- Daniel Kobras <kobras@debian.org>  Mon, 23 Oct 2006 20:52:25 +0200

imagemagick (7:6.2.4.5.dfsg1-0.10) unstable; urgency=high

  * Non-Maintainer Upload
  * Fix buffer overflow in SGI parser [CVE-2006-4144] (closes: #383314)
    Thanks to Daniel Kobras
  * Fix double free in ICC profile in PerlMagick (closes: #349264)
  * Fix incomaptibility with graphviz >= 2.8 and build-depend on an
    appropriate version (closes: #360362)
  * Fix XCF and Sun Raster File buffer overflows [CVE-2006-3743/-3744]
    (closes: #385062)
  
 -- Don Armstrong <don@debian.org>  Sun, 10 Sep 2006 20:15:57 -0700

imagemagick (7:6.2.4.5.dfsg1-0.9) unstable; urgency=low

  * Non-Maintainer Upload
  * Remove all instances of the imagemagick logo from the original
    sourcefile and repack. (closes: #214623)
  * Add back the free logo patch
  * Add clean-tarball rule to accomplish this
  * Change the copyright file to indicate that the logo is no longer
    included, and indiciate that the included logo is actually text saying
    "imagemagick" with the Debian open use logo.

 -- Don Armstrong <don@debian.org>  Mon, 12 Jun 2006 02:15:10 -0700

imagemagick (7:6.2.4.5-0.8) unstable; urgency=low

  * Non-maintainer upload.
  * Back to 6.2.4.5 as requested by the release team to maintain binary
    compatibility. Bumped epoch once more.

 -- Daniel Kobras <kobras@debian.org>  Thu, 30 Mar 2006 12:32:13 +0200

imagemagick (6:6.2.6.7-1) unstable; urgency=low

  * New upstream version. 

 -- Ryuichi Arafune <arafune@debian.org>  Thu, 30 Mar 2006 16:59:33 +0900

imagemagick (6:6.2.4.5-0.7) unstable; urgency=high

  * Non-maintainer upload.

