=== debian/control ===
Source: imagemagick
Section: graphics
Priority: optional
Maintainer: Ryuichi Arafune <arafune@debian.org>
Standards-Version: 3.7.2
Build-Depends: libjpeg62-dev, libbz2-dev, libtiff4-dev, libwmf-dev (>= 0.2.7-1), libz-dev, libpng12-dev (<= 1.2.8rel-7) | libpng12-dev (>= 1.2.15~beta5-0), libx11-dev, libxt-dev, libxext-dev, debhelper (>> 3.0.5), libxml2-dev, libfreetype6-dev, liblcms1-dev, libexif-dev, perl (>= 5.8.0-3), libjasper-1.701-dev, libltdl3-dev, graphviz (>= 2.8), gs-gpl, pkg-config

Package: imagemagick
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gs, html2ps, lpr
Conflicts: imagemagick-doc, 
Replaces: imagemagick-doc, geomview (<= 1.8.0)
Description: Image manipulation programs
 Imagemagick is a set of programs to manipulate various image formats
 (JPEG, TIFF, PhotoCD, PBM, XPM, etc...). All manipulations can
 be achieved through shell commands as well as through an X11 graphical
 interface (display).
 .
 Possible effects: colormap manipulation, channel operations, thumbnail
 creation, image annotation, limited drawing, image distortion, etc...
 .
 This package suggests a postscript interpreter (gs) to read postscript
 files. It will however function happily without it (as long as you don't
 want to read postscript).

Package: libmagick9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libwmf-bin
Conflicts: libmagick, libmagick-lzw, libmagick5g, imagemagick (<=5:6.0.1.2-1), libmagick5 (>= 4:5.5.1-1 ), libmagick6.0.1
Replaces: libmagick, libmagick-lzw, libmagick5g, imagemagick (<=5:6.0.1.2-1), libmagick5 (>= 4:5.5.1) 
Description: Image manipulation library 
 LibMagick supports loading and saving a very large set of image formats.
 It allows a lot of image manipulation as well.
 
Package: libmagick9-dev
Architecture: any
Section: libdevel
Depends: libmagick9 (= ${Source-Version}), libjpeg62-dev, libbz2-dev, libtiff4-dev, libwmf-dev (>= 0.2.7-1), libz-dev, libpng12-dev, libx11-dev, libxt-dev, libxext-dev, libxml2-dev, libfreetype6-dev, liblcms1-dev, libexif-dev, libjasper-1.701-dev, libltdl3-dev
Conflicts: imagemagick-dev, libmagick5.5.1 (<= 5:5.5.1.4-1), libmagick-dev, libmagick6-dev
Replaces: imagemagick (<= 5:6.0.1.2-1), libmagick5.5.1 (<= 4:5.5.1.4-1), libmagick5, libmagick6-dev, libmagick-dev
Provides: libmagick-dev
Description: Image manipulation library -- development
 This package includes header files and static libraries needed to compile
 programs using libMagick.

Package: libmagick++9c2a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libmagick5g++, libmagick++0, libmagick++4 (>=4:5.5.1), libmagick++5.5.3, libmagick++6.0.1, libmagick++6, libmagick++9
Replaces:  libmagick5g++, libmagick++0, libmagick++5 (>=4:5.5.1), libmagick++6.0.1, libmagick++6, libmagick++9
Description: The object-oriented C++ API to the ImageMagick library
 Magick++ supports an object model which is inspired by PerlMagick. Magick++
 executes faster than PerlMagick since it is accessed from a compiled
 language rather than from a scripting language. This makes it more suitable
 for Web CGI programs which must start-up and execute quickly. Images support
 implicit reference counting so that copy constructors and assignment incur
 almost no cost. The cost of actually copying an image (if necessary) is done
 just before modification and this copy is managed automatically by Magick++.
 De-referenced copies are automatically deleted. The image objects support
 value (rather than pointer)  semantics so it is trivial to support multiple
 generations of an image in memory at one time.
 .
 Magick++ provides integrated support for STL. This support allows Magick++
 to be used with the Standard Template Library (STL) so that the powerful
 containers available (e.g. deque, vector, list, and map)  can be used to
 write programs similar to those possible with PERL & PerlMagick.
 STL-compatible template versions of ImageMagick's list-style operations are
 provided so that operations may be performed on multiple images stored in
 STL containers.

Package: libmagick++9-dev
Architecture: any
Section: libdevel
Depends: libmagick++9c2a (= ${Source-Version}), libmagick9-dev (= ${Source-Version})
Conflicts: libmagick++0-dev, libmagick++5.5.1 (<= 4:5.5.1.4-1), libmagick++5, libmagick++-dev, imagemagick(<= 5:6.0.1.2-1), libmagick++6-dev
Replaces: libmagick++0-dev, libmagick++5.5.1 (<= 4:5.5.1.4-1), libmagick++-dev, imagemagick (<= 5:6.0.1.2-1), libmagick++6-dev
Provides: libmagick++-dev
Description: The object-oriented C++ API to the ImageMagick library--development
 This are the include files and static libraries needed to compile
 programs using libMagick++.

Package: perlmagick
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}
Provides: libimage-magick-perl
Description: A perl interface to the libMagick graphics routines
 PerlMagick is a perl module which gives you all the functionality
 you can enjoy in the imagemagick package binaries, from perl.
 . 
 One can load several images with perlmagick, apply numerous transformations
 and operations on the images and write them back, possibly in a different 
 format.
